
From: Adrian Bunk <bunk@stusta.de>

This patch removes #if's for kernel 2.2 .

Signed-off-by: Adrian Bunk <bunk@stusta.de>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 /dev/null                            |    0 
 25-akpm/drivers/char/mwave/tp3780i.c |    8 +-------
 2 files changed, 1 insertion(+), 7 deletions(-)

diff -puN drivers/char/mwave/tp3780i.c~drivers-char-mwave-tp3780ic-remove-kernel-22-ifs drivers/char/mwave/tp3780i.c
--- 25/drivers/char/mwave/tp3780i.c~drivers-char-mwave-tp3780ic-remove-kernel-22-ifs	Thu Mar 24 17:25:56 2005
+++ 25-akpm/drivers/char/mwave/tp3780i.c	Thu Mar 24 17:25:56 2005
@@ -242,20 +242,14 @@ int tp3780I_ClaimResources(THINKPAD_BD_D
 {
 	int retval = 0;
 	DSP_3780I_CONFIG_SETTINGS *pSettings = &pBDData->rDspSettings;
-#if LINUX_VERSION_CODE >= KERNEL_VERSION(2,4,0)
 	struct resource *pres;
-#endif
 
 	PRINTK_2(TRACE_TP3780I,
 		"tp3780i::tp3780I_ClaimResources entry pBDData %p\n", pBDData);
 
-#if LINUX_VERSION_CODE >= KERNEL_VERSION(2,4,0)
 	pres = request_region(pSettings->usDspBaseIO, 16, "mwave_3780i");
 	if ( pres == NULL ) retval = -EIO;
-#else
-	retval = check_region(pSettings->usDspBaseIO, 16);
-	if (!retval) request_region(pSettings->usDspBaseIO, 16, "mwave_3780i");
-#endif
+
 	if (retval) {
 		PRINTK_ERROR(KERN_ERR_MWAVE "tp3780i::tp3780I_ClaimResources: Error: Could not claim I/O region starting at %x\n", pSettings->usDspBaseIO);
 		retval = -EIO;
diff -L drivers/char/mwave/tp3780i.c.old -puN /dev/null /dev/null
_
